PKG-CHECK(8)

NAME
pkg check - sanity check installed packages

SYNOPSIS
pkg check [-Bdsr] [-nqvy] [-a | -Cgix pattern]

pkg check [--{shlibs,dependencies,checksums,recompute}] [--{dry-run,quiet,verbose,yes}] [--all | --{case-sensitive,glob,case-insensitive,regex} pattern]

DESCRIPTION
pkg check -B or pkg check --shlibs regenerates the library dependency metadata for a package by extracting library requirement information from the binary ELF files in the package.

pkg check -d or pkg check --dependencies checks for and installs missing dependencies.

pkg check -r or pkg check --recompute recalculates and sets the checksums of installed packages. This command should only be used when the administrator has made modifications that invalidate a package checksum. Spontaneous checksum problems can indicate data or security problems.

pkg check -s or pkg check --checksums detects installed packages with invalid checksums. An invalid checksum can be caused by data corruption or tampering.

OPTIONS
These options are supported by pkg check:

-a, --all
    Process all packages.

-C, --case-sensitive
    Use case sensitive standard or regular expression (-x) matching with pattern.

-g, --glob
    Treat pattern as a shell glob pattern.

-i, --case-insensitive
    Use case insensitive standard or regular expression (-x) matching with pattern. This is the default unless CASE_SENSITIVE_MATCH has been set to true in pkg.conf.

-n, --dry-run
    Only check for missing dependencies, do not install them.

-v, --verbose
    Be verbose.

-q, --quiet
    Suppress most output, except for error messages and data that the command explicitly requests. This is primarily intended for scripting use.

-x, --regex
    Treat pattern as a regular expression, using the "modern" or "extended" syntax described in re_format(7).

-y, --yes
    Assume "yes" when asked for confirmation before installing missing dependencies.

ENVIRONMENT
These environment variables affect the execution of pkg check. See pkg.conf(5) for additional information.

PKG_DBDIR

CASE_SENSITIVE_MATCH

FILES
See pkg.conf(5).

EXAMPLES
Regenerate the library dependency metadata of all installed packages from the library information in each package's binary ELF files:

    pkg check -Ba

Test for missing dependencies needed by nano, installing any that are missing:

    pkg check -d nano

Test the checksums of all installed packages to make sure none are corrupted:

    pkg check -sa

SEE ALSO
pkg_printf(3), pkg_repos(3), pkg-repository(5), pkg.conf(5), pkg(8), pkg-add(8), pkg-alias(8), pkg-annotate(8), pkg-audit(8), pkg-autoremove(8), pkg-backup(8), pkg-clean(8), pkg-config(8), pkg-create(8), pkg-delete(8), pkg-fetch(8), pkg-info(8), pkg-install(8), pkg-lock(8), pkg-query(8), pkg-register(8), pkg-repo(8), pkg-rquery(8), pkg-search(8), pkg-set(8), pkg-shell(8), pkg-shlib(8), pkg-ssh(8), pkg-stats(8), pkg-update(8), pkg-updating(8), pkg-upgrade(8), pkg-version(8), pkg-which(8)